Create a new prompt
POST
Create a new prompt for a brand. This will automatically schedule the prompt for execution.
BearerAuthheader
AuthorizationBearer <token>An instance admin key from ADMIN_API_KEYS, or an organization key (elmo_…) issued from the dashboard.
application/json- body
brandId*stringBrand identifier this prompt belongs to
value*stringThe prompt text
Length
1 <= lengthtags?array<string>User-defined tags for categorizing this prompt
Prompt created successfully
application/json- response
id*stringUnique identifier for the prompt
Format
uuidbrandId*stringBrand identifier this prompt belongs to
value*stringThe actual prompt text
enabled*booleanWhether the prompt is currently enabled
tags*array<string>User-defined tags for categorizing this prompt
systemTags*array<string>Auto-computed system tags (e.g., 'branded', 'unbranded'). Read-only.
createdAt*stringTimestamp when the prompt was created
Format
date-timeupdatedAt*stringTimestamp when the prompt was last updated
Format
date-timepremiumModels*array<string>Models this prompt is tracked on grounded. Each entry spends one premium pairing.
curl -X POST 'https://app.elmohq.com/api/v1/prompts' \
-H 'Content-Type: application/json' \
-d '{
"brandId": "string",
"value": "string"
}'Example Response
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"brandId": "string",
"value": "string",
"enabled": true,
"tags": [
"string"
],
"systemTags": [
"string"
],
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"premiumModels": [
"string"
]
}